org.apache.maven.project.validation

## Class DefaultModelValidator

- java.lang.Object
- - org.apache.maven.project.validation.DefaultModelValidator

All Implemented Interfaces:
  ModelValidator

    public class DefaultModelValidator
    extends java.lang.Object
    implements ModelValidator

Version:
  $Id: DefaultModelValidator.java 800540 2009-08-03 20:31:37Z jdcasey $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.project.validation.ModelValidator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultModelValidator()`

### Method Summary

Methods
`ModelValidationResult` `validate(Model model)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultModelValidator

    public DefaultModelValidator()

### Method Detail

#### validate

    public ModelValidationResult validate(Model model)

Specified by:
  `validate` in interface `ModelValidator`